# Uses of Interface
org.opensaml.saml.saml2.core.NameID

Packages that use NameID
Package
Description
org.opensaml.saml.common.messaging.context
Context classes for SAML-based messaging function.
org.opensaml.saml.common.profile.logic
Functions and predicates supporting common SAML profile behavior.
org.opensaml.saml.ext.saml2delrestrict
Interfaces for SAML 2 Condition for Delegation Restriction.
org.opensaml.saml.ext.saml2delrestrict.impl
Implementation for SAML v2.0 Condition for Delegation Restriction Version 1.0.
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.encryption
Classes for encrypting and decrypting SAML.
org.opensaml.saml.saml2.profile
Classes for SAML 2.0 profile behavior.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.
org.opensaml.saml.saml2.testing

## Uses of NameID in org.opensaml.saml.common.messaging.context

Methods in org.opensaml.saml.common.messaging.context that return NameID
Modifier and Type
Method
Description
`NameID`
SAMLSubjectNameIdentifierContext.`getSAML2SubjectNameID()`
Gets the SAML 2 `NameID` represented by this context.

## Uses of NameID in org.opensaml.saml.common.profile.logic

Methods in org.opensaml.saml.common.profile.logic with parameters of type NameID
Modifier and Type
Method
Description
`private boolean`
AbstractNameIDPolicyPredicate.`doApply(ProfileRequestContext input, NameID target)`
Apply policy to the target object.

## Uses of NameID in org.opensaml.saml.ext.saml2delrestrict

Methods in org.opensaml.saml.ext.saml2delrestrict that return NameID
Modifier and Type
Method
Description
`NameID`
Delegate.`getNameID()`
Gets the NameID child element of the delegate.
Methods in org.opensaml.saml.ext.saml2delrestrict with parameters of type NameID
Modifier and Type
Method
Description
`void`
Delegate.`setNameID(NameID newNameID)`
Sets the NameID child element of the delegate.

## Uses of NameID in org.opensaml.saml.ext.saml2delrestrict.impl

Fields in org.opensaml.saml.ext.saml2delrestrict.impl declared as NameID
Modifier and Type
Field
Description
`private NameID`
DelegateImpl.`nameID`
NameID child element.
Methods in org.opensaml.saml.ext.saml2delrestrict.impl that return NameID
Modifier and Type
Method
Description
`NameID`
DelegateImpl.`getNameID()`
Gets the NameID child element of the delegate.
Methods in org.opensaml.saml.ext.saml2delrestrict.impl with parameters of type NameID
Modifier and Type
Method
Description
`void`
DelegateImpl.`setNameID(NameID newNameID)`
Sets the NameID child element of the delegate.

## Uses of NameID in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return NameID
Modifier and Type
Method
Description
`NameID`
LogoutRequest.`getNameID()`
Gets the name identifier of the principal for this request.
`NameID`
ManageNameIDRequest.`getNameID()`
Get the NameID of the request.
`NameID`
NameIDMappingRequest.`getNameID()`
Gets the name identifier of the principal for this request.
`NameID`
NameIDMappingResponse.`getNameID()`
Gets the name identifier of the principal for this response.
`NameID`
Subject.`getNameID()`
Gets the name identifier of the principal for this request.
`NameID`
SubjectConfirmation.`getNameID()`
Gets the name identifier of the principal for this request.
Methods in org.opensaml.saml.saml2.core with parameters of type NameID
Modifier and Type
Method
Description
`void`
LogoutRequest.`setNameID(NameID newNameID)`
Sets the name identifier of the principal for this request.
`void`
ManageNameIDRequest.`setNameID(NameID newNameID)`
Set the NameID of the request.
`void`
NameIDMappingRequest.`setNameID(NameID newNameID)`
Sets the name identifier of the principal for this request.
`void`
NameIDMappingResponse.`setNameID(NameID newNameID)`
Sets the name identifier of the principal for this response.
`void`
Subject.`setNameID(NameID newNameID)`
Sets the name identifier of the principal for this request.
`void`
SubjectConfirmation.`setNameID(NameID newNameID)`
Sets the name identifier of the principal for this request.

## Uses of NameID in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement NameID
Modifier and Type
Class
Description
`class`
`NameIDImpl`
Concrete implementation of `NameID`.
Fields in org.opensaml.saml.saml2.core.impl declared as NameID
Modifier and Type
Field
Description
`private NameID`
LogoutRequestImpl.`nameID`
NameID child element.
`private NameID`
ManageNameIDRequestImpl.`nameID`
NameID child element.
`private NameID`
NameIDMappingRequestImpl.`nameID`
NameID child element.
`private NameID`
NameIDMappingResponseImpl.`nameID`
NameID child element.
`private NameID`
SubjectConfirmationImpl.`nameID`
NameID child element.
`private NameID`
SubjectImpl.`nameID`
NameID child element.
Methods in org.opensaml.saml.saml2.core.impl that return NameID
Modifier and Type
Method
Description
`NameID`
NameIDBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`NameID`
NameIDBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`NameID`
LogoutRequestImpl.`getNameID()`
Gets the name identifier of the principal for this request.
`NameID`
ManageNameIDRequestImpl.`getNameID()`
Get the NameID of the request.
`NameID`
NameIDMappingRequestImpl.`getNameID()`
Gets the name identifier of the principal for this request.
`NameID`
NameIDMappingResponseImpl.`getNameID()`
Gets the name identifier of the principal for this response.
`NameID`
SubjectConfirmationImpl.`getNameID()`
Gets the name identifier of the principal for this request.
`NameID`
SubjectImpl.`getNameID()`
Gets the name identifier of the principal for this request.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type NameID
Modifier and Type
Method
Description
`void`
LogoutRequestImpl.`setNameID(NameID newNameID)`
Sets the name identifier of the principal for this request.
`void`
ManageNameIDRequestImpl.`setNameID(NameID newNameID)`
Set the NameID of the request.
`void`
NameIDMappingRequestImpl.`setNameID(NameID newNameID)`
Sets the name identifier of the principal for this request.
`void`
NameIDMappingResponseImpl.`setNameID(NameID newNameID)`
Sets the name identifier of the principal for this response.
`void`
SubjectConfirmationImpl.`setNameID(NameID newNameID)`
Sets the name identifier of the principal for this request.
`void`
SubjectImpl.`setNameID(NameID newNameID)`
Sets the name identifier of the principal for this request.

## Uses of NameID in org.opensaml.saml.saml2.encryption

Methods in org.opensaml.saml.saml2.encryption with parameters of type NameID
Modifier and Type
Method
Description
`EncryptedID`
Encrypter.`encrypt(NameID nameID)`
Encrypt the specified NameID.

## Uses of NameID in org.opensaml.saml.saml2.profile

Fields in org.opensaml.saml.saml2.profile with type parameters of type NameID
Modifier and Type
Field
Description
`private final SAMLObjectBuilder<NameID>`
AbstractSAML2NameIDGenerator.`nameBuilder`
Builder for objects.
Methods in org.opensaml.saml.saml2.profile that return NameID
Modifier and Type
Method
Description
`protected NameID`
AbstractSAML2NameIDGenerator.`doGenerate(ProfileRequestContext profileRequestContext)`
Override this method to fully control the generation process.
`NameID`
SAML2NameIDGenerator.`generate(ProfileRequestContext profileRequestContext, String format)`
Generate an identifier object.
Methods in org.opensaml.saml.saml2.profile with parameters of type NameID
Modifier and Type
Method
Description
`static boolean`
SAML2ObjectSupport.`areNameIDsEquivalent(NameID name1, NameID name2)`
Return true iff the two input `NameID` objects are equivalent for SAML 2.0 purposes, with the assumption that the qualifier attributes must match exactly.
`static boolean`
SAML2ObjectSupport.`areNameIDsEquivalent(NameID name1, NameID name2, String assertingParty, String relyingParty)`
Return true iff the two input `NameID` objects are equivalent for SAML 2.0 purposes, allowing thw qualifier attributes to assume default values if not otherwise set.

## Uses of NameID in org.opensaml.saml.saml2.profile.impl

Fields in org.opensaml.saml.saml2.profile.impl declared as NameID
Modifier and Type
Field
Description
`private NameID`
CopyNameIDFromRequest.`nameId`
NameID to copy.
Fields in org.opensaml.saml.saml2.profile.impl with type parameters of type NameID
Modifier and Type
Field
Description
`private SAMLObjectBuilder<NameID>`
AddNameIDToSubjects.`nameIdBuilder`
Builder for NameID objects.
`private final SAMLObjectBuilder<NameID>`
CopyNameIDFromRequest.`nameIdBuilder`
Builder for NameID objects.
Methods in org.opensaml.saml.saml2.profile.impl that return NameID
Modifier and Type
Method
Description
`private NameID`
AddNameIDToSubjects.`cloneNameID(NameID nameId)`
Create an efficient field-wise copy of a `NameID`.
`private NameID`
CopyNameIDFromRequest.`cloneNameID()`
Create an efficient field-wise copy of a `NameID`.
`private NameID`
AddNameIDToSubjects.`generateNameID(ProfileRequestContext profileRequestContext)`
Attempt to generate a `NameID` using each of the candidate Formats and plugins.
`private NameID`
DecryptNameIDs.`processEncryptedID(ProfileRequestContext profileRequestContext, EncryptedID encID)`
Decrypt an `EncryptedID` and return the result.
Methods in org.opensaml.saml.saml2.profile.impl with parameters of type NameID
Modifier and Type
Method
Description
`private NameID`
AddNameIDToSubjects.`cloneNameID(NameID nameId)`
Create an efficient field-wise copy of a `NameID`.
`private boolean`
EncryptNameIDs.`shouldEncrypt(NameID name)`
Return true iff the NameID should be encrypted.

## Uses of NameID in org.opensaml.saml.saml2.testing

Methods in org.opensaml.saml.saml2.testing that return NameID
Modifier and Type
Method
Description
`static NameID`
SAML2ActionTestingSupport.`buildNameID(String principalName)`
Builds a `NameID`.
Methods in org.opensaml.saml.saml2.testing with parameters of type NameID
Modifier and Type
Method
Description
`static LogoutRequest`
SAML2ActionTestingSupport.`buildLogoutRequest(NameID name)`
Builds an `LogoutRequest`.